All Frameworks Object Hierarchy This Framework Indexes
This data includes:
Use the CATIAHybridShapeFactory to create a HybridShapeCircleCenterTangent object.
o Property BeginOfCircle( | ) As |
hybShpcircle
hybrid shape circle
hybShpcircle.BeginOfCircle = 1
o Property CenterElem( | ) As |
HybShpCircleCenterCurve
the first curve to which
the HybShpCircle
hybrid shape circle is Center curve.
Dim HybShpCircleFirstCurve As Reference HybShpCircleFirstCurve = HybShpCircle.CenterElem
o Property DiameterMode( | ) As |
HybShpCircle
hybrid shape circle feature
HybShpCircle.DiameterMode = True
o Property Diameter( | ) As (Read Only) |
HybShpCircleDiameter
the diameter
of the HybShpCircle
hybrid shape circle feature
Dim HybShpCircleDiameter As Length HybShpCircleDiameter = HybShpCircle.Diameter
o Property DiscriminationIndex( | ) As |
hybShpcircle
hybrid shape circle
hybShpcircle.DiscriminationIndex = 2
o Property Orientation1( | ) As |
HybShpCircle
hybrid shape circle is tangent
to reverse.
Set HybShpCircle.Orientation1 -1
o Property Orientation2( | ) As |
HybShpCircleOrientation
the orientation
of the second curve to which the HybShpCircle
hybrid shape circle is tangent.
HybShpCircleOrientation = HybShpCircle.Orientation2
o Property Radius( | ) As (Read Only) |
HybShpCircleRadius
the radius
of the HybShpCircle
hybrid shape circle.
Dim HybShpCircleRadius As Length HybShpCircleRadius = HybShpCircle.Radius
o Property Support( | ) As |
HybShpCircleSupportSurf
the support surface
of the HybShpCircle
hybrid shape circle.
Dim HybShpCircleSupportSurf As Reference Set HybShpCircleSupportSurf = HybShpCircle.Support
o Property TangentCurve( | ) As |
HybShpCircle
hybrid shape circle will be tangent to TgtCrv.
Set HybShpCircle.Tangent Curve TgtCrv
o Property TangentOrientation1( | ) As |
hybShpcircle
hybrid shape circle in firstOrient
.
Dim firstOrient As long firstOrient = hybShpcircle.FirstTangentOrientation
o Property TangentOrientation2( | ) As |
hybShpcircle
hybrid shape circle in secondOrient
.
Dim secondOrient As long secondOrient = hybShpcircle.SecondTangentOrientation
Copyright © 2003, Dassault Systèmes. All rights reserved.